export const MODULE_NAME = 'auth';

/* GETTERS - START */
const _GETTERS = {
  MEMBER_ID: 'memberId',
  MEMBER_NAME: 'memberName',
  AUTH_ERROR: 'authError',
  PROFILE: 'profile',
  MODELPHOTOS: 'modelPhotos',
  MODELPHOTO_DETAIL: 'modelPhotoDetail',
  ADDRESSES: 'addresses',
  ORDER_HISTORY_LIST: 'orderHistoryList',
  MODELPHOTO_CHANGE_STACK: 'modelPhotoChangeStack',
  ADDRESS_CHANGE_STACK: 'addressChangeStack',
};

export const GETTERS = {
  MEMBER_ID: `${MODULE_NAME}/${_GETTERS.MEMBER_ID}`,
  MEMBER_NAME: `${MODULE_NAME}/${_GETTERS.MEMBER_NAME}`,
  AUTH_ERROR: `${MODULE_NAME}/${_GETTERS.AUTH_ERROR}`,
  PROFILE: `${MODULE_NAME}/${_GETTERS.PROFILE}`,
  MODELPHOTOS: `${MODULE_NAME}/${_GETTERS.MODELPHOTOS}`,
  MODELPHOTO_DETAIL: `${MODULE_NAME}/${_GETTERS.MODELPHOTO_DETAIL}`,
  ADDRESSES: `${MODULE_NAME}/${_GETTERS.ADDRESSES}`,
  ORDER_HISTORY_LIST: `${MODULE_NAME}/${_GETTERS.ORDER_HISTORY_LIST}`,
  MODELPHOTO_CHANGE_STACK: `${MODULE_NAME}/${_GETTERS.MODELPHOTO_CHANGE_STACK}`,
  ADDRESS_CHANGE_STACK: `${MODULE_NAME}/${_GETTERS.ADDRESS_CHANGE_STACK}`,
};
/* GETTERS - END */

/* ACTIONS - START */
const _ACTIONS = {
  LOGIN: 'login',
  REGISTER: 'register',
  FORGOT_PASSWORD: 'forgotPassword',
  LOAD_PROFILE: 'loadProfile',
  LOAD_MODELPHOTOS: 'loadModelPhotos',
  LOAD_MODELPHOTO_DETAIL: 'loadModelPhotoDetail',
  LOAD_ADDRESSES: 'loadAddresses',
  LOAD_ORDER_HISTORY_LIST: 'loadOrderHistoryList',
};

export const ACTIONS = {
  LOGIN: `${MODULE_NAME}/${_ACTIONS.LOGIN}`,
  REGISTER: `${MODULE_NAME}/${_ACTIONS.REGISTER}`,
  FORGOT_PASSWORD: `${MODULE_NAME}/${_ACTIONS.FORGOT_PASSWORD}`,
  LOAD_PROFILE: `${MODULE_NAME}/${_ACTIONS.LOAD_PROFILE}`,
  LOAD_MODELPHOTOS: `${MODULE_NAME}/${_ACTIONS.LOAD_MODELPHOTOS}`,
  LOAD_MODELPHOTO_DETAIL: `${MODULE_NAME}/${_ACTIONS.LOAD_MODELPHOTO_DETAIL}`,
  LOAD_ADDRESSES: `${MODULE_NAME}/${_ACTIONS.LOAD_ADDRESSES}`,
  LOAD_ORDER_HISTORY_LIST: `${MODULE_NAME}/${_ACTIONS.LOAD_ORDER_HISTORY_LIST}`,
};
/* ACTIONS - END */

/* MUTATIONS - START */
const _MUTATORS = {
  SET_LOGIN_RESULT: 'setLoginResult',
  CLEAR_LOGIN_INFO: 'clearLoginInfo',
  LOGOUT: 'logOut',
  SET_REGISTER_RESULT: 'setRegisterResult',
  SET_FORGOT_PASSWORD_RESULT: 'setForgotPasswordResult',
  SET_PROFILE_RESULT: 'setLoadProfileResult',
  SET_MODELPHOTOS: 'setModelPhotos',
  SET_MODELPHOTO_ITEM: 'setModelPhotoItem',
  SET_ADDRESSES: 'setAddresses',
  SET_ORDER_HISTORY_LIST: 'setOrderHistoryList',
  MODELPHOTO_CHANGED: 'setModelPhotoChanged',
  ADDRESS_CHANGED: 'setAddressChanged',
};

export const MUTATORS = {
  SET_LOGIN_RESULT: `${MODULE_NAME}/${_MUTATORS.SET_LOGIN_RESULT}`,
  LOGOUT: `${MODULE_NAME}/${_MUTATORS.LOGOUT}`,
  CLEAR_LOGIN_INFO: `${MODULE_NAME}/${_MUTATORS.CLEAR_LOGIN_INFO}`,
  MODELPHOTO_CHANGED: `${MODULE_NAME}/${_MUTATORS.MODELPHOTO_CHANGED}`,
  ADDRESS_CHANGED: `${MODULE_NAME}/${_MUTATORS.ADDRESS_CHANGED}`,
};
/* MUTATIONS - END */

export default {
  _GETTERS,
  _ACTIONS,
  _MUTATORS,
};
